Daemon Power

The NetBSD Packages Collection: multimedia/ruby-gnome2-gstreamer

Brief description of the package:
Ruby binding of GStreamer 1.0.x or later

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://ruby-gnome2.osdn.jp/.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "multimedia/ruby-gnome2-gstreamer" directory. The current source version of the package is "ruby23-gnome2-gstreamer-3.1.9". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for multimedia/ruby-gnome2-gstreamer :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-gnome2-glib>=3.1.9 ruby23-native-package-installer>=1.0.3 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-pkg-config>=1.2.2 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 glib2>=2.34.0 ruby23-gnome2-gobject-introspection>=3.1.9 gobject-introspection>=1.32.1 py27-cElementTree-[0-9]* py27-expat-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=0.6.14nb1 ruby23-gnome2-glib>=0.17.0 gobject-introspection>=1.34.0 ruby23-gnome2-glib>=2.2.0 gst-plugins1-base-[0-9]* orc>=0.4.6 gstreamer1>=1.12.0 gstreamer1>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 ruby23-gnome2-gobject-introspection>=1.2.0 ruby23-gnome2-gobject-introspection>=2.2.0 .

This package requires the following package(s) to run: ruby23-gnome2-glib>=3.1.9 ruby23-native-package-installer>=1.0.3 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-pkg-config>=1.2.2 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.34.0 ruby23-gnome2-gobject-introspection>=3.1.9 gobject-introspection>=1.32.1 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=0.6.14nb1 ruby23-gnome2-glib>=0.17.0 gobject-introspection>=1.34.0 ruby23-gnome2-glib>=2.2.0 gst-plugins1-base-[0-9]* orc>=0.4.6 gstreamer1>=1.12.0 gstreamer1>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 ruby23-gnome2-gobject-introspection>=1.2.0 ruby23-gnome2-gobject-introspection>=2.2.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
alpha:ruby22-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
alpha:ruby23-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
alpha:ruby193-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
alpha:ruby200-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
alpha:ruby21-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
alpha:ruby22-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
alpha:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
alpha:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
alpha:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
alpha:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
alpha:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
alpha:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
arm:ruby200-gnome2-gstreamer-2.2.0.tgz(NetBSD 6.1_STABLE)
earm:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earm:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earm:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earm:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earm:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv6hf:ruby193-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
earmv6hf:ruby200-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
earmv6hf:ruby21-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
earmv6hf:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv6hf:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv6hf:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv7hf:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv7hf:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv7hf:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
earmv7hf:ruby193-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
earmv7hf:ruby200-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
earmv7hf:ruby21-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
earmv7hf:ruby22-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
earmv7hf:ruby193-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.99.21)
earmv7hf:ruby200-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.99.21)
earmv7hf:ruby21-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0_BETA)
earmv7hfeb:ruby200-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby21-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby22-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
earmv7hfeb:ruby23-gnome2-gstreamer-3.0.7nb1.tgz(NetBSD 7.0)
i386:ruby193-gnome2-gstreamer-2.2.0.tgz(MirBSD 10)
i386:ruby200-gnome2-gstreamer-2.2.0.tgz(MirBSD 10)
i386:ruby211-gnome2-gstreamer-2.2.0.tgz(MirBSD 10)
i386:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
i386:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
i386:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
i386:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
i386:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
i386:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
i386:ruby21-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
i386:ruby22-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
i386:ruby23-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
i386:ruby21-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
i386:ruby22-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
i386:ruby23-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
i386:ruby21-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
i386:ruby22-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
i386:ruby23-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
i386:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
i386:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
i386:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
powerpc:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
powerpc:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
powerpc:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
powerpc:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.1)
powerpc:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.1)
powerpc:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.1)
powerpc:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.1)
powerpc:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.1)
powerpc:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.1)
powerpc:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
powerpc:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
powerpc:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.0)
powerpc:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.0)
powerpc:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.0)
powerpc:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.0)
sparc64:ruby193-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
sparc64:ruby193-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
sparc64:ruby200-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
sparc64:ruby200-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
sparc64:ruby200-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
sparc64:ruby21-gnome2-gstreamer-2.2.4.tgz(NetBSD 7.0)
sparc64:ruby21-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
sparc64:ruby21-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
sparc64:ruby22-gnome2-gstreamer-2.2.5.tgz(NetBSD 7.0)
sparc64:ruby22-gnome2-gstreamer-3.0.7.tgz(NetBSD 7.0)
sparc:ruby193-gnome2-gstreamer-2.2.0.tgz(NetBSD 6.0)
sparc:ruby200-gnome2-gstreamer-2.2.0.tgz(NetBSD 6.0)
x86_64:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
x86_64:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
x86_64:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.0)
x86_64:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.1)
x86_64:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.1)
x86_64:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 6.1)
x86_64:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
x86_64:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
x86_64:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 7.0)
x86_64:ruby21-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
x86_64:ruby22-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
x86_64:ruby23-gnome2-gstreamer-3.0.8.tgz(NetBSD 7.0)
x86_64:ruby21-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
x86_64:ruby22-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
x86_64:ruby23-gnome2-gstreamer-3.1.0.tgz(NetBSD 7.0)
x86_64:ruby21-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
x86_64:ruby22-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
x86_64:ruby23-gnome2-gstreamer-3.1.1.tgz(NetBSD 7.0)
x86_64:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
x86_64:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
x86_64:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0)
x86_64:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.99.1)
x86_64:ruby23-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.99.1)
x86_64:ruby24-gnome2-gstreamer-3.1.6.tgz(NetBSD 8.99.1)
x86_64:ruby22-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.99.1)
x86_64:ruby23-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.99.1)
x86_64:ruby24-gnome2-gstreamer-3.1.8.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]